pipeline {
    agent any

    environment {
        registry = "arupdatta/spring-dummy-docker"
        registryCredential = 'my-docker-credential'
        dockerImage = ''
    }

    stages {
        stage('check out') {
            steps {
                echo 'Check out stage run'
                checkout([$class: 'GitSCM', branches: [[name: '**']], extensions: [], userRemoteConfigs: [[credentialsId: 'arup-gitlab', url: 'https://gitlab.com/arup.datta/spring-dummy']]])
                echo 'Check out done'
            }
        }

        stage('Cloning our Git') {
            steps {
                git 'https://gitlab.com/arup.datta/spring-dummy'
                echo 'cloning done'
            }
        }

        stage('docker build') {
            steps {
                script {
                    dockerImage = docker.build registry + ":$BUILD_NUMBER"
                }
                echo 'docker build stage run'
            }
        }
    }
}
